<?php

declare(strict_types=1);

namespace Silex\Controller;

use DateTime;
use Silex\DI\DI;
use Silex\Http\HttpResponse;
use Silex\Model\News;

class AdminController
{
    public function publish(DI $di): HttpResponse
    {
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            $news = new News(-1, $_POST['title'], $_POST['content'], new DateTime(), $di->getSecurity()->getCurrentUserId());
            $di->getNewsGateway()->insert($news);
            HttpResponse::redirect($di->getRouter()->url($news->getSlugRedirect()));
        }
        $news = new News(-1, '', '', new DateTime(), $di->getSecurity()->getCurrentUserId());
        return HttpResponse::found('edit', ['news' => $news]);
    }

    public function edit(DI $di, array $params): HttpResponse
    {
        $news = $di->getNewsGateway()->getById(intval($params['id']));
        if ($_SERVER['REQUEST_METHOD'] === 'POST') {
            $news = new News($news->getId(), $_POST['title'], $_POST['content'], $news->getPublicationDate(), $news->getAuthorId());
            $di->getNewsGateway()->update($news);
            HttpResponse::redirect($di->getRouter()->url($news->getSlugRedirect()));
        }
        return HttpResponse::found('edit', ['news' => $news]);
    }
}
