<?php

declare(strict_types=1);

namespace Silex\Model;

use DateTime;

class Comment
{
	private int $idComment;
	private int $newsId;
	private DateTime $publicationDate;
	private string $content;
	private int $authorId;
    private string $authorLogin;

	public function __construct(int $idComment, int $newsId, DateTime $publicationDate, string $content, int $authorId)
    {
        $this->idComment = $idComment;
        $this->newsId = $newsId;
        $this->publicationDate = $publicationDate;
        $this->content = $content;
        $this->authorId = $authorId;
    }

    public function getId(): int
    {
        return $this->idComment;
    }

    public function getNewsId(): int
    {
    	return $this->newsId;
    }

    public function getPublicationDate(): DateTime
    {
        return $this->publicationDate;
    }

    public function getContent(): string
    {
        return $this->content;
    }

    public function getAuthorId(): int
    {
    	return $this->authorId;
    }

    public function getAuthorLogin(): string
    {
    	return $this->authorLogin;
    }

    public function setId(int $id): void
    {
        $this->idComment = $id;
    }

    public function setAuthorLogin(string $authorLogin): void
    {
        $this->authorLogin = $authorLogin;
    }
}